Description

The first time I use the online manual in CoCoA-5, I always get a warning about the operators, shortcuts page being out of order.

It would be nice to resolve this... it looks "unprofessional".

Also that manual page is long and hard to read/comprehend.

Might it be better to make the page into a tutorial?

I also noticed that only < is present, while <= and > and >= are absent.

Related issues:

Related to CoCoA-5 - Bug #1055: CoCoAManual: duplication (2 pages for operators) Closed 28 Apr 2017

History

#1 - 25 Oct 2019 13:26 - John Abbott

- Related to Bug #1055: CoCoAManual: duplication (2 pages for operators) added

#2 - 25 Oct 2019 13:28 - John Abbott

I have added <= and > and >= to the list at the top of the page.

I also noticed that there appears to be a mess regarding arg types and return types; this should be tidied up.

I would like there to be quite a short page about operators, perhaps just with links to other pages where more details are given.  I find the current page

too long and hard to digest.

#3 - 16 Jan 2020 12:19 - John Abbott

The standard arithmetic operators were not listed (plus, minus, times, divide, power).  Maybe others too?  We should check!

Fixing this properly will likely take lots of time; I suggest postponing.

#4 - 20 Jan 2020 22:08 - John Abbott

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

#5 - 02 Mar 2020 14:04 - John Abbott

I suggest breaking the page into subsections (or even splitting it into more than one page?): e.g. comparison operators, arithmetic operators, list ctors,

etc.

#6 - 05 Mar 2020 12:00 - John Abbott

- Description updated
We need to review the purpose of this manual entry.

Maybe it should have little content, but simplify refer to other manual pages.  We can have shorter pages about sensible groupings of operators:

equality and not-equality

order comparisons

assignment (normal and for rings)

indexing operators (lists, matrices, records, strings)

arithmetic operators

others(???)

#7 - 05 Feb 2022 20:35 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2
